## prometheus-pgbackrest-exporter 0.17.0+ds1

=== Makefile ===
SHELL := /bin/bash
APP_NAME := pgbackrest_exporter
BRANCH_FULL := $(shell git rev-parse --abbrev-ref HEAD)
BRANCH := $(subst /,-,$(BRANCH_FULL))
GIT_REV := $(shell git describe --abbrev=7 --always)
SERVICE_CONF_DIR := /etc/systemd/system
HTTP_PORT := 9854
BACKREST_VERSION := 2.51
DOCKER_BACKREST_VERSION := v0.24
ROOT_DIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
DOCKER_CONTAINER_E2E := $(shell docker ps -a -q -f name=$(APP_NAME)_e2e)
HTTP_PORT_E2E := $(shell echo $$((10000 + ($$RANDOM % 10000))))

.PHONY: test
test:
	@echo "Run tests for $(APP_NAME)"
	TZ="Etc/UTC" go test -mod=vendor -timeout=60s -count 1  ./...

.PHONY: test-e2e
test-e2e:
	@echo "Run end-to-end tests for $(APP_NAME)"
	@if [ -n "$(DOCKER_CONTAINER_E2E)" ]; then docker rm -f "$(DOCKER_CONTAINER_E2E)"; fi;
	DOCKER_BUILDKIT=1 docker build --pull -f e2e_tests/Dockerfile --build-arg REPO_BUILD_TAG=$(BRANCH)-$(GIT_REV) --build-arg BACKREST_VERSION=$(BACKREST_VERSION) --build-arg DOCKER_BACKREST_VERSION=$(DOCKER_BACKREST_VERSION) -t $(APP_NAME)_e2e .
	$(call e2e_basic)
	$(call e2e_tls_auth,/e2e_tests/web_config_empty.yml,false,false)
	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_noAuth.yml,true,false)
	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_Auth.yml,true,true)
	$(call e2e_tls_auth,/e2e_tests/web_config_noTLS_Auth.yml,false,true)

.PHONY: build
build:
	@echo "Build $(APP_NAME)"
	@make test
	CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -mod=vendor -trimpath -ldflags "-X main.version=$(BRANCH)-$(GIT_REV)" -o $(APP_NAME) $(APP_NAME).go

.PHONY: build-arm
build-arm:
	@echo "Build $(APP_NAME)"
	@make test
	CGO_ENABLED=0 GOOS=linux GOARCH=arm64 go build -mod=vendor -trimpath -ldflags "-X main.version=$(BRANCH)-$(GIT_REV)" -o $(APP_NAME) $(APP_NAME).go

.PHONY: build-darwin
build-darwin:
	@echo "Build $(APP_NAME)"
	@make test
	CGO_ENABLED=0 GOOS=darwin GOARCH=arm64 go build -mod=vendor -trimpath -ldflags "-X main.version=$(BRANCH)-$(GIT_REV)" -o $(APP_NAME) $(APP_NAME).go

.PHONY: dist
dist:
	- @mkdir -p dist
	DOCKER_BUILDKIT=1 docker build -f Dockerfile.artifacts --progress=plain -t pgbackrest_exporter_dist .
	- @docker rm -f pgbackrest_exporter_dist 2>/dev/null || exit 0
	docker run -d --name=pgbackrest_exporter_dist pgbackrest_exporter_dist
	docker cp pgbackrest_exporter_dist:/artifacts dist/
	docker rm -f pgbackrest_exporter_dist

.PHONY: docker
docker:
	@echo "Build $(APP_NAME) docker container"
	@echo "Version $(BRANCH)-$(GIT_REV)"
	DOCKER_BUILDKIT=1 docker build --pull -f Dockerfile --build-arg REPO_BUILD_TAG=$(BRANCH)-$(GIT_REV) --build-arg BACKREST_VERSION=$(BACKREST_VERSION) --build-arg DOCKER_BACKREST_VERSION=$(DOCKER_BACKREST_VERSION) -t $(APP_NAME) .

.PHONY: docker-alpine
docker-alpine:
	@echo "Build $(APP_NAME) alpine docker container"
	@echo "Version $(BRANCH)-$(GIT_REV)"
	DOCKER_BUILDKIT=1 docker build --pull -f Dockerfile --build-arg REPO_BUILD_TAG=$(BRANCH)-$(GIT_REV) --build-arg BACKREST_VERSION=$(BACKREST_VERSION)-alpine --build-arg DOCKER_BACKREST_VERSION=$(DOCKER_BACKREST_VERSION) -t $(APP_NAME)-alpine .

.PHONY: prepare-service
prepare-service:
	@echo "Prepare config file $(APP_NAME).service for systemd"
	cp $(ROOT_DIR)/$(APP_NAME).service.template $(ROOT_DIR)/$(APP_NAME).service
	sed -i.bak "s|/usr/bin|$(ROOT_DIR)|g" $(APP_NAME).service
	rm $(APP_NAME).service.bak

.PHONY: install-service
install-service:
	@echo "Install $(APP_NAME) as systemd service"
	$(call service-install)

.PHONY: remove-service
remove-service:
	@echo "Delete $(APP_NAME) systemd service"
	$(call service-remove)

define service-install
	cp $(ROOT_DIR)/$(APP_NAME).service $(SERVICE_CONF_DIR)/$(APP_NAME).service
	systemctl daemon-reload
	systemctl enable $(APP_NAME)
	systemctl restart $(APP_NAME)
	systemctl status $(APP_NAME)
endef

define service-remove
	systemctl stop $(APP_NAME)
	systemctl disable $(APP_NAME)
	rm $(SERVICE_CONF_DIR)/$(APP_NAME).service
	systemctl daemon-reload
	systemctl reset-failed
endef

define e2e_basic
	docker run -d -p $(HTTP_PORT_E2E):$(HTTP_PORT) --name=$(APP_NAME)_e2e $(APP_NAME)_e2e
	@sleep 30
	$(ROOT_DIR)/e2e_tests/run_e2e.sh $(HTTP_PORT_E2E)
	docker rm -f $(APP_NAME)_e2e
endef

define e2e_tls_auth
	docker run -d -p $(HTTP_PORT_E2E):$(HTTP_PORT) --env EXPORTER_CONFIG="${1}" --name=$(APP_NAME)_e2e $(APP_NAME)_e2e
	@sleep 30
	$(ROOT_DIR)/e2e_tests/run_e2e.sh $(HTTP_PORT_E2E) ${2} ${3}
    docker rm -f $(APP_NAME)_e2e
endef

=== debian/changelog ===
prometheus-pgbackrest-exporter (0.17.0+ds1-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 15:27:19 +1000

prometheus-pgbackrest-exporter (0.17.0+ds1-1) unstable; urgency=medium

  * New upstream release 0.17.0

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 17 Jun 2024 13:29:11 -0700

prometheus-pgbackrest-exporter (0.16.2+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #1066815)

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 21 Mar 2024 13:42:38 -0700

=== debian/control ===
Source: prometheus-pgbackrest-exporter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Lena Voytek <lena.voytek@canonical.com>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-go-kit-log-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-prometheus-client-dev,
               pgbackrest
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter.git
Homepage: https://github.com/woblerr/pgbackrest_exporter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/woblerr/pgbackrest_exporter

Package: prometheus-pgbackrest-exporter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for pgBackRest (program)
 pgBackRest Exporter is a Prometheus exporter tool designed to collect and
 expose metrics from pgBackRest, a PostgreSQL backup and restore system. For
 more information on pgBackRest see https://pgbackrest.org/ and for exporters
 in general see https://prometheus.io/docs/instrumenting/exporters/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	TZ=UTC dh_auto_test

## prometheus-pgbackrest-exporter 0.18.0+ds1

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 GIT_REV := $(shell git describe --abbrev=7 --always)
 SERVICE_CONF_DIR := /etc/systemd/system
 HTTP_PORT := 9854
-BACKREST_VERSION := 2.51
-DOCKER_BACKREST_VERSION := v0.24
+BACKREST_VERSION := 2.53
+DOCKER_BACKREST_VERSION := v0.27
 ROOT_DIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 DOCKER_CONTAINER_E2E := $(shell docker ps -a -q -f name=$(APP_NAME)_e2e)
 HTTP_PORT_E2E := $(shell echo $$((10000 + ($$RANDOM % 10000))))
@@ -24,8 +24,12 @@
 	$(call e2e_basic)
 	$(call e2e_tls_auth,/e2e_tests/web_config_empty.yml,false,false)
 	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_noAuth.yml,true,false)
-	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_Auth.yml,true,true)
-	$(call e2e_tls_auth,/e2e_tests/web_config_noTLS_Auth.yml,false,true)
+	$(call e2e_tls_auth,/e2e_tests/web_config_TLSInLine_noAuth.yml,true,false)
+	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_Auth.yml,true,basic)
+	$(call e2e_tls_auth,/e2e_tests/web_config_noTLS_Auth.yml,false,basic)
+	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_RequireAnyClientCert.yml,true,cert,"$(ROOT_DIR)/e2e_tests")
+	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_RequireAndVerifyClientCert.yml,true,cert, "$(ROOT_DIR)/e2e_tests")
+
 
 .PHONY: build
 build:
@@ -109,6 +113,6 @@
 define e2e_tls_auth
 	docker run -d -p $(HTTP_PORT_E2E):$(HTTP_PORT) --env EXPORTER_CONFIG="${1}" --name=$(APP_NAME)_e2e $(APP_NAME)_e2e
 	@sleep 30
-	$(ROOT_DIR)/e2e_tests/run_e2e.sh $(HTTP_PORT_E2E) ${2} ${3}
+	$(ROOT_DIR)/e2e_tests/run_e2e.sh $(HTTP_PORT_E2E) ${2} ${3} "${4}"
     docker rm -f $(APP_NAME)_e2e
 endef

=== debian/changelog ===
prometheus-pgbackrest-exporter (0.18.0+ds1-1) unstable; urgency=medium

  * New upstream release 0.18.0

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 10 Sep 2024 15:19:09 -0700

## prometheus-pgbackrest-exporter 0.19.0+ds1

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 GIT_REV := $(shell git describe --abbrev=7 --always)
 SERVICE_CONF_DIR := /etc/systemd/system
 HTTP_PORT := 9854
-BACKREST_VERSION := 2.53
-DOCKER_BACKREST_VERSION := v0.27
+BACKREST_VERSION := 2.54.2
+DOCKER_BACKREST_VERSION := v0.31
 ROOT_DIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 DOCKER_CONTAINER_E2E := $(shell docker ps -a -q -f name=$(APP_NAME)_e2e)
 HTTP_PORT_E2E := $(shell echo $$((10000 + ($$RANDOM % 10000))))

=== debian/changelog ===
prometheus-pgbackrest-exporter (0.19.0+ds1-2) unstable; urgency=medium

  * d/service, d/default: Add systemd service with default pgbackrest config
  * d/rules: Match new standard exporter style, and rename
    pgbackrest_exporter binary to standard prometheus-pgbackrest-exporter
  * d/docs, d/manpages: Include README and generated manpage for documentation
  * d/control: Update dependencies and source section

 -- Lena Voytek <lena@voytek.dev>  Fri, 28 Feb 2025 17:00:05 -0500

prometheus-pgbackrest-exporter (0.19.0+ds1-1) unstable; urgency=medium

  * New upstream release 0.19.0

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 18 Feb 2025 12:25:57 -0500

=== debian/control ===
Source: prometheus-pgbackrest-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Lena Voytek <lena.voytek@canonical.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-go-kit-log-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               pgbackrest
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter.git
Homepage: https://github.com/woblerr/pgbackrest_exporter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/woblerr/pgbackrest_exporter

Package: prometheus-pgbackrest-exporter
Section: net
Architecture: any
Depends: postgresql-common,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: pgbackrest
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for pgBackRest (program)
 pgBackRest Exporter is a Prometheus exporter tool designed to collect and
 expose metrics from pgBackRest, a PostgreSQL backup and restore system. For
 more information on pgBackRest see https://pgbackrest.org/ and for exporters
 in general see https://prometheus.io/docs/instrumenting/exporters/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/woblerr/pgbackrest_exporter/tags .*/v?(\d\S*)\.tar\.gz debian

## prometheus-pgbackrest-exporter 0.20.0%2Bds1

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,20 @@
 BRANCH_FULL := $(shell git rev-parse --abbrev-ref HEAD)
 BRANCH := $(subst /,-,$(BRANCH_FULL))
 GIT_REV := $(shell git describe --abbrev=7 --always)
+BUILD_DATE := $(shell date +%Y-%m-%dT%H:%M:%S%z)
+BUILD_USER ?= pgbackrest_exporter
 SERVICE_CONF_DIR := /etc/systemd/system
 HTTP_PORT := 9854
-BACKREST_VERSION := 2.54.2
-DOCKER_BACKREST_VERSION := v0.31
+BACKREST_VERSION := 2.55.1
+DOCKER_BACKREST_VERSION := v0.33
 ROOT_DIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 DOCKER_CONTAINER_E2E := $(shell docker ps -a -q -f name=$(APP_NAME)_e2e)
 HTTP_PORT_E2E := $(shell echo $$((10000 + ($$RANDOM % 10000))))
+LDFLAGS = -X github.com/prometheus/common/version.Version=$(BRANCH)-$(GIT_REV) \
+		  -X github.com/prometheus/common/version.Branch=$(BRANCH) \
+		  -X github.com/prometheus/common/version.Revision=$(GIT_REV) \
+		  -X github.com/prometheus/common/version.BuildDate=$(BUILD_DATE) \
+		  -X github.com/prometheus/common/version.BuildUser=$(BUILD_USER)
 
 .PHONY: test
 test:
@@ -27,27 +34,36 @@
 	$(call e2e_tls_auth,/e2e_tests/web_config_TLSInLine_noAuth.yml,true,false)
 	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_Auth.yml,true,basic)
 	$(call e2e_tls_auth,/e2e_tests/web_config_noTLS_Auth.yml,false,basic)
-	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_RequireAnyClientCert.yml,true,cert,"$(ROOT_DIR)/e2e_tests")
-	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_RequireAndVerifyClientCert.yml,true,cert, "$(ROOT_DIR)/e2e_tests")
+	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_RequireAnyClientCert.yml,true,cert,$(ROOT_DIR)/e2e_tests)
+	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_RequireAndVerifyClientCert.yml,true,cert,$(ROOT_DIR)/e2e_tests)
 
 
 .PHONY: build
 build:
 	@echo "Build $(APP_NAME)"
 	@make test
-	CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -mod=vendor -trimpath -ldflags "-X main.version=$(BRANCH)-$(GIT_REV)" -o $(APP_NAME) $(APP_NAME).go
+	CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build \
+		-mod=vendor -trimpath \
+		-ldflags "$(LDFLAGS)" \
+		-o $(APP_NAME) $(APP_NAME).go
 
 .PHONY: build-arm
 build-arm:
 	@echo "Build $(APP_NAME)"
 	@make test
-	CGO_ENABLED=0 GOOS=linux GOARCH=arm64 go build -mod=vendor -trimpath -ldflags "-X main.version=$(BRANCH)-$(GIT_REV)" -o $(APP_NAME) $(APP_NAME).go
+	CGO_ENABLED=0 GOOS=linux GOARCH=arm64 go build \
+		-mod=vendor -trimpath \
+		-ldflags "$(LDFLAGS)" \
+		-o $(APP_NAME) $(APP_NAME).go
 
 .PHONY: build-darwin
 build-darwin:
 	@echo "Build $(APP_NAME)"
 	@make test
-	CGO_ENABLED=0 GOOS=darwin GOARCH=arm64 go build -mod=vendor -trimpath -ldflags "-X main.version=$(BRANCH)-$(GIT_REV)" -o $(APP_NAME) $(APP_NAME).go
+	CGO_ENABLED=0 GOOS=darwin GOARCH=arm64 go build \
+		-mod=vendor -trimpath \
+		-ldflags "$(LDFLAGS)" \
+		-o $(APP_NAME) $(APP_NAME).go
 
 .PHONY: dist
 dist:
@@ -114,5 +130,5 @@
 	docker run -d -p $(HTTP_PORT_E2E):$(HTTP_PORT) --env EXPORTER_CONFIG="${1}" --name=$(APP_NAME)_e2e $(APP_NAME)_e2e
 	@sleep 30
 	$(ROOT_DIR)/e2e_tests/run_e2e.sh $(HTTP_PORT_E2E) ${2} ${3} "${4}"
-    docker rm -f $(APP_NAME)_e2e
+	docker rm -f $(APP_NAME)_e2e
 endef

## prometheus-pgbackrest-exporter 0.20.0+ds1

=== debian/changelog ===
prometheus-pgbackrest-exporter (0.20.0+ds1-1) unstable; urgency=medium

  * New upstream release 0.20.0
  * d/control: Remove unnecessary pgbackrest build dependency
  * d/p/use-gopkg-kingpin-v2.patch: Refresh for new version
  * d/control: Update uploader email

 -- Lena Voytek <lena@voytek.dev>  Fri, 05 Sep 2025 13:36:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: prometheus-pgbackrest-exporter
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Lena Voytek <lena.voytek@canonical.com>
+Uploaders: Lena Voytek <lena@voytek.dev>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -11,8 +11,7 @@
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
-               golang-gopkg-alecthomas-kingpin.v2-dev,
-               pgbackrest
+               golang-gopkg-alecthomas-kingpin.v2-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter.git

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddirectory=_build --buildsystem=golang

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/pgbackrest_exporter _build/bin/$(BINNAME)

MAN_WHATIS := $(BINNAME) \\- Prometheus exporter for PgBackRest
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	TZ=UTC dh_auto_test

## prometheus-pgbackrest-exporter 0.22.0%2Bds1

=== debian/changelog ===
prometheus-pgbackrest-exporter (0.22.0+ds1-1) unstable; urgency=medium

  * New upstream release 0.22.0
  * d/p/use-gopkg-kingpin-v2.patch: Refresh for new version
  * d/control: Update standards version and remove Priority: optional

 -- Lena Voytek <lena@voytek.dev>  Wed, 14 Jan 2026 15:48:41 -0500

## prometheus-pgbackrest-exporter 0.22.0+ds1

=== Makefile ===
--- 
+++ 
@@ -7,11 +7,13 @@
 BUILD_USER ?= pgbackrest_exporter
 SERVICE_CONF_DIR := /etc/systemd/system
 HTTP_PORT := 9854
-BACKREST_VERSION := 2.55.1
-DOCKER_BACKREST_VERSION := v0.33
+BACKREST_VERSION := 2.57.0
+DOCKER_BACKREST_VERSION := v0.35
 ROOT_DIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 DOCKER_CONTAINER_E2E := $(shell docker ps -a -q -f name=$(APP_NAME)_e2e)
 HTTP_PORT_E2E := $(shell echo $$((10000 + ($$RANDOM % 10000))))
+BACKREST_STANZA_EXCLUDE ?= demo
+BACKREST_STANZA_INCLUDE ?= demo
 LDFLAGS = -X github.com/prometheus/common/version.Version=$(BRANCH)-$(GIT_REV) \
 		  -X github.com/prometheus/common/version.Branch=$(BRANCH) \
 		  -X github.com/prometheus/common/version.Revision=$(GIT_REV) \
@@ -29,6 +31,9 @@
 	@if [ -n "$(DOCKER_CONTAINER_E2E)" ]; then docker rm -f "$(DOCKER_CONTAINER_E2E)"; fi;
 	DOCKER_BUILDKIT=1 docker build --pull -f e2e_tests/Dockerfile --build-arg REPO_BUILD_TAG=$(BRANCH)-$(GIT_REV) --build-arg BACKREST_VERSION=$(BACKREST_VERSION) --build-arg DOCKER_BACKREST_VERSION=$(DOCKER_BACKREST_VERSION) -t $(APP_NAME)_e2e .
 	$(call e2e_basic)
+	$(call e2e_exclude)
+	$(call e2e_include)
+	$(call e2e_disable_collector)
 	$(call e2e_tls_auth,/e2e_tests/web_config_empty.yml,false,false)
 	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_noAuth.yml,true,false)
 	$(call e2e_tls_auth,/e2e_tests/web_config_TLSInLine_noAuth.yml,true,false)
@@ -126,6 +131,27 @@
 	docker rm -f $(APP_NAME)_e2e
 endef
 
+define e2e_exclude
+	docker run -d -p $(HTTP_PORT_E2E):$(HTTP_PORT) --env STANZA_EXCLUDE="$(BACKREST_STANZA_EXCLUDE)" --name=$(APP_NAME)_e2e $(APP_NAME)_e2e
+	@sleep 30
+	$(ROOT_DIR)/e2e_tests/run_e2e.sh $(HTTP_PORT_E2E) false false "" exclude
+	docker rm -f $(APP_NAME)_e2e
+endef
+
+define e2e_disable_collector
+	docker run -d -p $(HTTP_PORT_E2E):$(HTTP_PORT) --env COLLECTOR_PGBACKREST="false" --name=$(APP_NAME)_e2e $(APP_NAME)_e2e
+	@sleep 30
+	$(ROOT_DIR)/e2e_tests/run_e2e.sh $(HTTP_PORT_E2E) false false "" disable-collector
+	docker rm -f $(APP_NAME)_e2e
+endef
+
+define e2e_include
+	docker run -d -p $(HTTP_PORT_E2E):$(HTTP_PORT) --env STANZA_INCLUDE="$(BACKREST_STANZA_INCLUDE)" --name=$(APP_NAME)_e2e $(APP_NAME)_e2e
+	@sleep 30
+	$(ROOT_DIR)/e2e_tests/run_e2e.sh $(HTTP_PORT_E2E) false false "" include
+	docker rm -f $(APP_NAME)_e2e
+endef
+
 define e2e_tls_auth
 	docker run -d -p $(HTTP_PORT_E2E):$(HTTP_PORT) --env EXPORTER_CONFIG="${1}" --name=$(APP_NAME)_e2e $(APP_NAME)_e2e
 	@sleep 30

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Lena Voytek <lena@voytek.dev>
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -12,7 +11,7 @@
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter.git
 Homepage: https://github.com/woblerr/pgbackrest_exporter
